/*
 * Copyright (c) 1995, 1996 The University of Utah and
 * the Computer Systems Laboratory at the University of Utah (CSL).
 *
 * This file is part of Flick, the Flexible IDL Compiler Kit.
 *
 * Flick is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Flick is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Flick; see the file COPYING.  If not, write to
 * the Free Software Foundation, 59 Temple Place #330, Boston, MA 02111, USA.
 */

#ifndef __Errors_hh
#define __Errors_hh

void TypeError(char *, char *c = 0);
void LexError(char *, char *c = 0);
void LexWarning(char *, char *c = 0);
void ParseError(char *, ...);
extern int lineno;
extern int tokenpos, nextPos, errorPos;
extern int lnum;
#define BUFSIZE 500
extern char linebuf[BUFSIZE]; /* buffer for entire lines of IDL code */
extern char errorlinebuf[BUFSIZE];
extern int fail;
extern int errorflag;

#endif
